[pkg-fso-commits] [SCM] Various non-packaged files branch, master, updated. 68d149398d50c734c9db76a82dd7d25894b738b4

Steffen Moeller steffen_moeller at gmx.de
Sat Feb 21 12:42:20 UTC 2009


The following commit has been merged in the master branch:
commit 00ca1d159ecdcca5ab50b7e24e4d9b67862cf8f9
Author: Steffen Moeller <steffen_moeller at gmx.de>
Date:   Sat Feb 21 02:00:42 2009 +0100

    Does not work.

diff --git a/install.sh b/install.sh
index 01f8ace..efa63e4 100755
--- a/install.sh
+++ b/install.sh
@@ -76,6 +76,7 @@ DROPBEAR_KEYS="/etc/dropbear/dropbear_rsa_host_key /etc/dropbear/dropbear_dss_ho
 
 # cdebootstrap options
 # with packages for a basic debian with network connectivity
+CDEBOOTSTRAP_FLAVOUR=minimal
 CDEBOOTSTRAP_PACKAGE=$INST_MIRROR/pool/main/c/cdebootstrap/cdebootstrap-static_0.5.4_armel.deb
 CDEBOOTSTRAP_EXTRA_PACKAGES=ifupdown,dropbear,udev,procps,netbase,vim-tiny,module-init-tools,wget,openssh-client
 # This gets passed to cdebuildstrap. currently not used
@@ -103,12 +104,12 @@ TAR_PACKAGE=$INST_MIRROR/pool/main/t/tar/tar_1.20-1_armel.deb
 
 # fight against auto-mounting
 umount_all () {
-	if [ -n "$verbose" ]; then echo "Now unmounting all SD devices."; fi
+	if [ -n "$VERBOSE" ]; then echo "Now unmounting all SD devices."; fi
 	for I in $(seq 0 9); do
 		cmd="mount | grep -q '^${SD_DEVICE}p$I'"
-		if [ -n "$verbose" ]; then echo -n " testing #$I ($cmd)"; fi
+		if [ -n "$VERBOSE" ]; then echo -n " testing #$I ($cmd)"; fi
 		if mount | grep -q "^${SD_DEVICE}p$I" ; then
-			if [ -n "$verbose" ]; then 
+			if [ -n "$VERBOSE" ]; then 
 				echo " unmounting"
 			else
 				echo "W: ${SD_DEVICE}p$I is mounted, unmounting"
@@ -118,11 +119,11 @@ umount_all () {
 		#		echo "E: Unmount failed"
 		#		exit 1
 		#	fi
-		elif [ -n "$verbose" ]; then
+		elif [ -n "$VERBOSE" ]; then
 			echo 'not mounted'
 		fi
 	done
-	if [ -n "$verbose" ]; then echo "All SD devices unmounted."; fi
+	if [ -n "$VERBOSE" ]; then echo "All SD devices unmounted."; fi
 }
 
 five_seconds_to_quit () {
@@ -208,7 +209,7 @@ DESCRIPTION
                      this is true by default for QI=true and false if SD_PART1_FS=vfat
 	WITH_WIFI    determines how to configure the wireless connections. Set
                      to 'none' will not install anything (default), 'wicd' is
-                     supported as an experimental setup.
+                     supported as an experimental setup (set to '$WITH_WIFI').
 
     Stages:
 
@@ -327,7 +328,7 @@ __END__
 
 for f in testing time partition format mount debian apt fso configuration kernel unmount
 do
-	if [ -n "$verbose" ]; then echo calling '$f'; fi
+	if [ -n "$VERBOSE" ]; then echo calling '$f'; fi
 	action_$f
 done
 cat <<__END__
@@ -510,7 +511,7 @@ echo "w" >> /tmp/argsToFdisk$$
 
 if fdisk $SD_DEVICE < /tmp/argsToFdisk$$; then
 	echo "Partitioning was successful."
-	if [ -n "$verbose" ]; then
+	if [ -n "$VERBOSE" ]; then
 		echo "The following partitions have been created:"
 		echo "pq" | fdisk $SD_DEVICE
 	fi
@@ -566,15 +567,15 @@ action_mount () {
 echo "Mounting the newly created system"
 if [ -d "$INST_DIR" ]; then
 	 mkdir -p $INST_DIR; 
-elif [ -n "$verbose" ]; then
+elif [ -n "$VERBOSE" ]; then
 	echo "Not creating directory '$INST_DIR', it is already existing."
 fi
 if [ "$SINGLE_PART" = "true" ]; then
-	if [ -n "$verbose" ]; then echo "Preparing single ext2 device."; fi
+	if [ -n "$VERBOSE" ]; then echo "Preparing single ext2 device."; fi
 	mount -t auto ${SD_DEVICE}p1 $INST_DIR
 	mkdir -p $INST_DIR/boot
 else
-	if [ -n "$verbose" ]; then echo "Mounting root partition to '$INST_DIR'."; fi
+	if [ -n "$VERBOSE" ]; then echo "Mounting root partition to '$INST_DIR'."; fi
 	mount -t auto ${SD_DEVICE}p2 $INST_DIR
 	if [ "vfat" = "$SD_PART1_FS" ]; then
 		echo "You have a vfat boot filesystem. This is not mounted to /boot."
@@ -600,8 +601,31 @@ tar -xz -C / -f /tmp/data.tar.gz
 rm -f /tmp/data.tar.gz
 rm -f /tmp/cdebootstrap.deb
 
+	# extra packages for additional software to be installed
+	case "$WITH_WIFI" in
+	  "wicd")
+		echo " * added wicd to list of packages to install"
+		CDEBOOTSTRAP_EXTRA_PACKAGES=$CDEBOOTSTRAP_EXTRA_PACKAGES,wicd
+		CDEBOOTSTRAP_FLAVOUR=build
+		;;
+	  "none")
+		if [ -n "$VERBOSE" ]; then echo "* support for wifi left for manual installation"; fi
+		;;
+	  *)
+		echo
+		echo "Unsupported Wifi: '$WITH_WIFI'"
+		echo
+		exit 1
+		;;
+	esac
+
+
 echo " * Running cdebootstrap to install the system (might take a while)"
-cdebootstrap-static --allow-unauthenticated --flavour minimal --include=$CDEBOOTSTRAP_EXTRA_PACKAGES --exclude=$CDEBOOTSTRAP_EXCLUDE_PACKAGES sid $INST_DIR $INST_MIRROR
+CDEBOOTSTRAP_EXTRA_FLAGS=""
+if [ -n "$VERBOSE" ]; then
+	CDEBOOTSTRAP_EXTRA_FLAGS="$CDEBOOTSTRAP_EXTRA_FLAGS -v"
+fi
+cdebootstrap-static $CDEBOOTSTRAP_EXTRA_FLAGS --allow-unauthenticated --flavour $CDEBOOTSTRAP_FLAVOUR --include=$CDEBOOTSTRAP_EXTRA_PACKAGES --exclude=$CDEBOOTSTRAP_EXCLUDE_PACKAGES sid $INST_DIR $INST_MIRROR
 
 echo "I: basic Debian system installed"
 }
@@ -795,6 +819,7 @@ chroot $INST_DIR apt-get --yes --force-yes install dash
 
 	case "$WITH_WIFI" in
 	  "wicd")
+		# the package was already installed via cdebootstrap
 		echo " * Installing wicd for wifi setup"
 		if [ -r "$INST_DIR/etc/wicd/manager-settings.conf" ]; then
 			grep -v ^wired_interface "$INST_DIR/etc/wicd/manager-settings.conf" > \
@@ -803,26 +828,12 @@ chroot $INST_DIR apt-get --yes --force-yes install dash
 			mkdir $INST_DIR/etc/wicd
 		fi
 		echo "wired_interface =" >> $INST_DIR/etc/wicd/manager-settings.conf
-
-		if ! chroot $INST_DIR apt-get --yes install wicd; then
-			echo
-			echo "The installation of wicd has failed. This is probably ignorable."
-			echo "Please report nonetheless to pkg-fso-maint at lists.alioth.debian.org."
-			echo
-			echo "The installation continues."
-			echo
-		fi
-		sed -i '/^exec/iwicd-client --no-animate &' $INST_DIR/root/.xsession
 		;;
 
 	  "none")
 		# no installation to be performed
 		;;
-
 	  *)
-		echo
-		echo "Unsupported Wifi: '$WITH_WIFI'"
-		echo
 		;;
 	esac
 
@@ -842,6 +853,14 @@ zhone &
 exec matchbox-window-manager -use_titlebar no -use_cursor no
 EOMATCHBOX
 
+	case "$WITH_WIFI" in
+	  "wicd")
+		sed -i '/^exec/iwicd-client --no-animate &' $INST_DIR/root/.xsession
+		;;
+	  *)
+		;;
+	esac
+
 echo "I: System configured"
 }
 
@@ -1001,7 +1020,7 @@ fi
 
 # internal variable
 
-verbose=""
+VERBOSE=""
 showHelp=""
 
 # parse options
@@ -1019,7 +1038,7 @@ do
                         showHelp="true"
                         ;;
                  "--verbose")
-                        verbose="true"
+                        VERBOSE="true"
                         ;;
                  "-v")
                         echo "$VERSION"

-- 
Various non-packaged files



More information about the pkg-fso-commits mailing list